Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface ParentAssignedViewmap

All Superinterfaces:
  EObject, Notifier, Viewmap

All Known Implementing Classes:
  ParentAssignedViewmapImpl

public interface ParentAssignedViewmap
extends Viewmap

A representation of the model object 'Parent Assigned Viewmap'. Figure (with specified class name, if any) will be assigned by (or should be taken from) parent

The following features are supported:

- `Getter Name`
- `Setter Name`
- `Figure Qualified Class Name`

See Also:
  `GMFGenPackage.getParentAssignedViewmap()`
** Generated **
Model:

Method Summary
`java.lang.String` `getFigureQualifiedClassName()` Returns the value of the 'Figure Qualified Class Name' attribute
`java.lang.String` `getGetterName()` Returns the value of the 'Getter Name' attribute
`java.lang.String` `getSetterName()` Returns the value of the 'Setter Name' attribute
`void` `setFigureQualifiedClassName(java.lang.String value)` Sets the value of the '`Figure Qualified Class Name`' attribute
`void` `setGetterName(java.lang.String value)` Sets the value of the '`Getter Name`' attribute
`void` `setSetterName(java.lang.String value)` Sets the value of the '`Setter Name`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.Viewmap
`find, getAttributes, getLayoutType, getRequiredPluginIDs, setLayoutType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getGetterName

    public java.lang.String getGetterName()

  Returns the value of the 'Getter Name' attribute. Access figure from parent's figure

  Returns:
    the value of the 'Getter Name' attribute.
  See Also:
    `ParentAssignedViewmap.setGetterName(String)`, `GMFGenPackage.getParentAssignedViewmap_GetterName()`
  ** Generated **
  Model:
    required="true"

### setGetterName

    public void setGetterName(java.lang.String value)

  Sets the value of the '`Getter Name`' attribute.

  Parameters:
    `value` - the new value of the 'Getter Name' attribute.
  See Also:
    `ParentAssignedViewmap.getGetterName()`
  ** Generated **

### getSetterName

    public java.lang.String getSetterName()

  Returns the value of the 'Setter Name' attribute. Child could provide typed alternative to setFigure() method

  Returns:
    the value of the 'Setter Name' attribute.
  See Also:
    `ParentAssignedViewmap.setSetterName(String)`, `GMFGenPackage.getParentAssignedViewmap_SetterName()`
  ** Generated **
  Model:

### setSetterName

    public void setSetterName(java.lang.String value)

  Sets the value of the '`Setter Name`' attribute.

  Parameters:
    `value` - the new value of the 'Setter Name' attribute.
  See Also:
    `ParentAssignedViewmap.getSetterName()`
  ** Generated **

### getFigureQualifiedClassName

    public java.lang.String getFigureQualifiedClassName()

  Returns the value of the 'Figure Qualified Class Name' attribute. When specified, type of child's figure

  Returns:
    the value of the 'Figure Qualified Class Name' attribute.
  See Also:
    `ParentAssignedViewmap.setFigureQualifiedClassName(String)`, `GMFGenPackage.getParentAssignedViewmap_FigureQualifiedClassName()`
  ** Generated **
  Model:

### setFigureQualifiedClassName

    public void setFigureQualifiedClassName(java.lang.String value)

  Sets the value of the '`Figure Qualified Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Figure Qualified Class Name' attribute.
  See Also:
    `ParentAssignedViewmap.getFigureQualifiedClassName()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.